Skip to navigation

Authorize an id tag

Make the targeted virtual chargers send Authorize for an id tag; the CSMS’s verdict is in the command result. Returns 202 once the command is queued. Each results[].command.id is a command id: poll GET /evcharger/commands/{command_id} (client.evcharger.commands.get_status(command_id)) until its status is final. It answers 404 until the charger has received the command.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
targetobjectRequired
Command target resolved in the service layer under the caller organization.
payloadobjectRequired
Authorize one id tag payload.

Response

Command queued for the targeted chargers
targeted_countinteger
queued_countinteger
failed_countinteger
resultslist of objects
failedlist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error
503
Service Unavailable Error